
D4Science Infrastructure - VM Creation #11671

Task # 11639 (Closed): Add to the DM Proto cluster at least three new DM instances

Create 6 dataminer instances that will behave as generic workers

Apr 18, 2018 12:59 PM - Andrea Dell'Amico

Status: Closed Start date: Apr 18, 2018

Priority: Urgent Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Target version: DM Proto Cluster   

Infrastructure: Production Applications list and

version:

dataminer with the custom dataminer jar

RAM: 16 Applications context

path:

wps

CPU: 16 External storage data

disk:

 

DiskSpace: 40 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: latest PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 6

Smartgears scopes:    

Description

They have to run on the GARR hypervisors because of the memory requirements.

Related issues:

Blocks D4Science Infrastructure - Task #11676: Destroy the old generic worker... Closed Apr 18, 2018

History

#1 - Apr 18, 2018 02:17 PM - Andrea Dell'Amico

- Parent task changed from #10988 to #11639

#2 - Apr 18, 2018 02:43 PM - Andrea Dell'Amico

- Blocks Task #11676: Destroy the old generic workers dataminer instances and 5 dataminers in the CT GARR region. added

#3 - Apr 18, 2018 02:51 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- Smartgears scopes updated

- Applications context path updated

#4 - Apr 18, 2018 02:59 PM - Andrea Dell'Amico

dataminer0-gw-proto.d4science.org 146.48.123.167

dataminer1-gw-proto.d4science.org 146.48.123.168

dataminer2-gw-proto.d4science.org 146.48.123.169

dataminer3-gw-proto.d4science.org 146.48.123.170

dataminer4-gw-proto.d4science.org 146.48.123.171

dataminer5-gw-proto.d4science.org 146.48.123.172

#5 - Apr 18, 2018 03:41 PM - Andrea Dell'Amico

- % Done changed from 0 to 40

The VMs have been created, provisioning is running.
#6 - Apr 18, 2018 06:51 PM - Andrea Dell'Amico

- Priority changed from Normal to Urgent

- % Done changed from 40 to 80

I was ready to change the dataminer jar, but the dataminer war that was just installed report a different jar file. The old one installed until now was

dataminer-1.5.3-4.11.0-164695.jar (with queue=4), now there is dataminer-1.5.3-4.12.0-164695.jar.

Two questions for @lucio.lelii@isti.cnr.it:

1. How the new jar file was configured? queue=4, or queue=1?

2. Is it safe, anyway, to use the old builds I have to cover the other case? I have a copy of dataminer-1.5.3-4.11.0-164695.jar (queue=4) and

dataminer-1.5.4-4.11.0-165850.jar (queue=1)

#7 - Apr 19, 2018 02:06 PM - Andrea Dell'Amico

I just opened the dataminer-1.5.3-4.12.0-164695.jar file and templates/setup.cfg has maxcomputations=4. @lucio.lelii@isti.cnr.it can I substitute it

with dataminer-1.5.4-4.11.0-165850.jar or do we need a new build of that artifact?

#8 - Apr 19, 2018 03:59 PM - Lucio Lelii

the 1.5.3 version has maxcomputation=4 the 1.5.4 version has the maxcomputation=1 the two jars are compatible, the only change is this property

#9 - Apr 19, 2018 04:20 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

OK. I changed the jar files, the VM are restarting. Does some test exist, or I'm supposed to put them into the haproxy backend as soon as they come

back? @gianpaolo.coro@isti.cnr.it @g.panichi@isti.cnr.it 

#10 - Apr 19, 2018 04:24 PM - Gianpaolo Coro

OK, great! I will do user tests just after automatic tests are passed. 

@lucio.lelii@isti.cnr.it could you please run your automatic tests towards dataminer-genericworkers-proto.d4science.org?

#11 - Apr 19, 2018 04:29 PM - Andrea Dell'Amico

Gianpaolo Coro wrote:

OK, great! I will do user tests just after automatic tests are passed. 

@lucio.lelii@isti.cnr.it could you please run your automatic tests towards dataminer-genericworkers-proto.d4science.org?

 @gianpaolo.coro@isti.cnr.it I've not added the new hosts to the load balancer. I'm doing it now.

#12 - Apr 19, 2018 04:37 PM - Andrea Dell'Amico

Done.

#13 - Apr 20, 2018 02:50 PM - Gianpaolo Coro

- Status changed from Feedback to Closed

All tests passed. I have done detailed inspection of the logs during the computations. It works well.

#14 - Apr 20, 2018 02:54 PM - Andrea Dell'Amico

Thanks. Would you open a task that has the goal of automating these tests? I hope to be able to create regular images of the dataminers, as their

configuration requires many hours even if there are no problems with the provisioning steps.
